#!/usr/bin/perl
use lib '/home/martin/ethereal/mgmt';

################################################################################
# Created       : Martin Foster
# Modified      : 20-Jan-2005
################################################################################
#
# Rotate - Script part of Ethereal Realms used to embed rotated information 
# Copyright (C) 2000-2004  Martin Foster
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Author of this script can be contacted at the following:
#       E-Mail  : martin@ethereal-realms.org
#       Address : 29-26503 TWP RD 511
#                 Spruce Grove, Alberta
#                 T7Y 1G4
#
#################################################################################

use CGI qw(:standard);						# Common gateway interface
use CGI::Carp qw(fatalsToBrowser);				# CGI Error logs
use strict;							# Strict variable enforcement

use Ethereal::Database;						# Database handler
use Ethereal::Rotate;						# Rotation library


################################################################################
# Data Members
################################################################################
my $cgi;							# Common gateway interface handle
my $database;							# Database handle
my $rotate;							# Rotate handle

my $scriptname;							# Simply the script name
my $scriptpara;							# Scripted parameters

my $zone;							# Used zone


################################################################################
# Program Area
################################################################################

	# Initial handles
	$cgi      = new CGI;
	$database = new Ethereal::Database();

	# Connect and fetch
	$database->Connect($cgi);


	# Pull script name
	$scriptname = $cgi->url(-relative=>1);

	# Round about way
	if ((length($scriptname) < 2)
	 || ($scriptname =~ /\.(shtml|html)$/i))
	{
		# Assume this is not a real script name
		# Get name and only end
		$scriptname = $0;
		$scriptname =~ s/.*\/(.*)$/$1/gs;
	}


	# Determine zones
	$zone = 'banner'  if ($scriptname =~ /^banner/si);
	$zone = 'gallery' if ($scriptname =~ /^gallery/si);
	$zone = 'ssi'     if ($scriptname =~ /^ssi/si);

	# Ensure defition
	$zone = (defined($zone)) ? $zone : 'ssi';


	# Create instance
	$rotate = new Ethereal::Rotate(
		DB    => $database,
		ZONE  => $zone,
	 );

	# Display
	print $cgi->header();
	print $rotate->Pull(), "\n";

################################################################################
# Sub-Routines
################################################################################
